Kiran Bandaru

Migration issues while converting from Blaze 5.5 to Blaze 6.8

Discussion created by Kiran Bandaru on Apr 30, 2010
Latest reply on Jun 25, 2010 by Sean Su

Iam migration blaze 5.5 version code to new version i.e blaze 6.8 and while importing blaze 5.5 to new version, import failed with below error.

 

Below is the message from Blaze 6.8 IDE

 

There were 3 exceptions while initializing the Java class provider resource.
com.blazesoft.engines.rules.java.NdJavaClassImportResourceException: An exception occurred while adding the 'com.glic.esm.error.ErrorHelper' Java class to the Java class provider resource.
java.lang.NullPointerException
com.blazesoft.engines.rules.java.NdJavaClassImportResourceException: An exception occurred while adding the 'com.glic.esm.rules.util.BenefitCoverageUtil' Java class to the Java class provider resource.
Could not initialize class com.glic.esm.error.ErrorHelper
com.blazesoft.engines.rules.java.NdJavaClassImportResourceException: An exception occurred while adding the 'com.glic.esm.rules.common.SystemConfiguration' Java class to the Java class provider resource.
Could not initialize class com.glic.esm.error.ErrorHelper

 

I found out one external Java Class (ErrorHelper) which is causing issue. This class gets logger object instance from customized logger class which we built to use in all modules. This is perfectly fine with existing Blaze 5.5 version without any issues.

 

This is snippet of code which is in ErrorHelper to get logger object.

 public static pLogger getPLogger() {
   if(logger == null)
   logger = new PLogger();
   return logger;
 }

 

Blaze 6.8 Classpath settings in setenv is same as used for blaze 5.5

 

Any help is really appreciated to resolve this issue.

 

Please let me know if any further details required to nail down this issue.

Outcomes